! *
! **********************************************************************************
! *                                                                                *
! * INTEL CORPORATION                                                              *
! * Copyright 2006-2007 Intel Corporation All Rights Reserved.                     *
! *                                                                                *
! * The source code contained or described herein and all documents related to     *
! * the source code ("Material") are owned by Intel Corporation or its suppliers   *
! * or licensors. Title to the Material remains with Intel Corporation or its      *
! * suppliers and licensors. The Material contains trade secrets and proprietary   *
! * and confidential information of Intel or its suppliers and licensors. The      *
! * Material is protected by worldwide copyright and trade secret laws and         *
! * treaty provisions. No part of the Material may be used, copied, reproduced,    *
! * modified, published, uploaded, posted, transmitted, distributed, or            *
! * disclosed in any way without Intel’s prior express written permission.         *
! *                                                                                *
! * No license under any patent, copyright, trade secret or other intellectual     *
! * property right is granted to or conferred upon you by disclosure or delivery   *
! * of the Materials, either expressly, by implication, inducement, estoppel or    *
! * otherwise. Any license under such intellectual property rights must be         *
! * express and approved by Intel in writing.                                      *
! *                                                                                *
! **********************************************************************************
! *

!
! **************************** Edit History *******************************
!
! May-09-2006  SAR  Initial creation.
! Aug-01-2006  SJW  make all INTEGER declarations be KIND=4

!
! Created from the Fortran 2003 standard (J3/04-007) 13.8.2
!
MODULE ISO_FORTRAN_ENV

      INTEGER (KIND=4), PARAMETER :: CHARACTER_STORAGE_SIZE = 8
      INTEGER (KIND=4), PARAMETER :: ERROR_UNIT = 0
      INTEGER (KIND=4), PARAMETER :: FILE_STORAGE_SIZE = 8    ! -assume byterecl
      INTEGER (KIND=4), PARAMETER :: INPUT_UNIT = 5
      INTEGER (KIND=4), PARAMETER :: IOSTAT_END = -1
      INTEGER (KIND=4), PARAMETER :: IOSTAT_EOR = -2
      INTEGER (KIND=4), PARAMETER :: NUMERIC_STORAGE_SIZE = 32
      INTEGER (KIND=4), PARAMETER :: OUTPUT_UNIT = 6
 
END MODULE ISO_FORTRAN_ENV 
